Loading...
Searching...
No Matches
LibThread::ThreadState Class Reference

## Public Member Functions

| ThreadState ()
| ~ThreadState ()

## Data Fields

bool | active
bool | running
int | index
void *(* | thread_func )(ThreadState *, void *)
void * | arg
void * | result
pthread_t | id
pthread_t | parent
Lock | lock
ConditionVariable | to_cond
ConditionVariable | from_cond
queue< string > | to_thread
queue< string > | from_thread

## Detailed Description

Definition at line 1331 of file shared.cc.

## Constructor & Destructor Documentation

## ThreadState()

LibThread::ThreadState::ThreadState | ( |  | ) |

inline

Definition at line 1345 of file shared.cc.

: lock(), to_cond(&lock), from_cond(&lock),
to_thread(), from_thread() {
active = false;
running = false;
index = -1;
}
LibThread::ThreadState::running
bool running
Definition shared.cc:1334
LibThread::ThreadState::lock
Lock lock
Definition shared.cc:1340
LibThread::ThreadState::index
int index
Definition shared.cc:1335
LibThread::ThreadState::to_cond
ConditionVariable to_cond
Definition shared.cc:1341
LibThread::ThreadState::from_thread
queue< string > from_thread
Definition shared.cc:1344
LibThread::ThreadState::from_cond
ConditionVariable from_cond
Definition shared.cc:1342
LibThread::ThreadState::to_thread
queue< string > to_thread
Definition shared.cc:1343
LibThread::ThreadState::active
bool active
Definition shared.cc:1333

## ~ThreadState()

LibThread::ThreadState::~ThreadState | ( |  | ) |

inline

Definition at line 1351 of file shared.cc.

{
// We do nothing here. This is to prevent the condition
// variable destructor from firing upon program exit,
// which would invoke undefined behavior if the thread
// is still running.
}

## Field Documentation

## active

bool LibThread::ThreadState::active

Definition at line 1333 of file shared.cc.

## arg

void* LibThread::ThreadState::arg

Definition at line 1337 of file shared.cc.

## from_cond

ConditionVariable LibThread::ThreadState::from_cond

Definition at line 1342 of file shared.cc.

## from_thread

queue<string> LibThread::ThreadState::from_thread

Definition at line 1344 of file shared.cc.

## id

pthread_t LibThread::ThreadState::id

Definition at line 1338 of file shared.cc.

## index

int LibThread::ThreadState::index

Definition at line 1335 of file shared.cc.

## lock

Lock LibThread::ThreadState::lock

Definition at line 1340 of file shared.cc.

## parent

pthread_t LibThread::ThreadState::parent

Definition at line 1339 of file shared.cc.

## result

void * LibThread::ThreadState::result

Definition at line 1337 of file shared.cc.

## running

bool LibThread::ThreadState::running

Definition at line 1334 of file shared.cc.

## thread_func

void *(* LibThread::ThreadState::thread_func) (ThreadState *, void *)

Definition at line 1336 of file shared.cc.

## to_cond

ConditionVariable LibThread::ThreadState::to_cond

Definition at line 1341 of file shared.cc.

## to_thread

queue<string> LibThread::ThreadState::to_thread

Definition at line 1343 of file shared.cc.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/systhreads/shared.cc